CFLAGS= -Wall -W -Wmissing-declarations -Wmissing-prototypes -g -O0 \
        -Wredundant-decls -Wshadow -Wbad-function-cast -Wcast-qual
LDFLAGS= -lcheck -lefence
LIST_DIR=../../5/linked-list
LIST_FILES=$(LIST_DIR)/list.c $(LIST_DIR)/list.h
STACK_FILES=stack.c stack.h

all : check-stack

check : check-stack
	@./check-stack

check-stack : check-stack.c $(STACK_FILES) $(LIST_FILES)
	@$(CC) -o check-stack check-stack.c stack.c $(CFLAGS) $(LDFLAGS) \
	-I$(LIST_DIR) $(LIST_FILES)

test-program : test-program.c $(STACK_FILES) $(LIST_FILES)
	@$(CC) -o test-program test-program.c stack.c $(CFLAGS) $(LDFLAGS) \
	-I$(LIST_DIR) $(LIST_FILES)

clean:
	rm -f check-stack test-program *~
